VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_41
        SIGNAL clk_x
        SIGNAL XLXN_66
        SIGNAL XLXN_13
        SIGNAL clk
        SIGNAL XLXN_67
        SIGNAL irq_x
        SIGNAL XLXN_87
        SIGNAL XLXN_89
        SIGNAL irq
        SIGNAL XLXN_94
        SIGNAL XLXN_96
        SIGNAL XLXN_100
        PORT Input clk_x
        PORT Output clk
        PORT Input irq_x
        PORT Output irq
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fd_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF pullup
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -108 64 -128 
            LINE N 80 -104 64 -108 
            LINE N 48 -88 80 -104 
            LINE N 80 -72 48 -88 
            LINE N 48 -56 80 -72 
            LINE N 64 -48 48 -56 
            LINE N 64 -32 64 -48 
            LINE N 48 -56 64 -48 
            LINE N 80 -72 48 -56 
            LINE N 48 -88 80 -72 
            LINE N 80 -104 48 -88 
            LINE N 64 -108 80 -104 
            LINE N 64 0 64 -32 
            LINE N 96 -128 32 -128 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fdc
            PIN C clk_x
            PIN CLR XLXN_3
            PIN D XLXN_2
            PIN Q XLXN_66
        END BLOCK
        BEGIN BLOCK XLXI_2 fdc
            PIN C clk_x
            PIN CLR XLXN_3
            PIN D XLXN_66
            PIN Q XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 fdc
            PIN C clk_x
            PIN CLR XLXN_3
            PIN D XLXN_13
            PIN Q XLXN_67
        END BLOCK
        BEGIN BLOCK XLXI_4 fdc
            PIN C clk_x
            PIN CLR XLXN_3
            PIN D XLXN_1
            PIN Q XLXN_13
        END BLOCK
        BEGIN BLOCK XLXI_5 inv
            PIN I XLXN_67
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I XLXN_4
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_7 fd_1
            PIN C clk_x
            PIN D XLXN_41
            PIN Q XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_19 vcc
            PIN P XLXN_41
        END BLOCK
        BEGIN BLOCK XLXI_30 bufg
            PIN I XLXN_67
            PIN O clk
        END BLOCK
        BEGIN BLOCK XLXI_107 fd
            PIN C clk
            PIN D XLXN_87
            PIN Q XLXN_94
        END BLOCK
        BEGIN BLOCK XLXI_106 fd
            PIN C clk
            PIN D XLXN_89
            PIN Q XLXN_87
        END BLOCK
        BEGIN BLOCK XLXI_105 ibuf
            PIN I irq_x
            PIN O XLXN_89
        END BLOCK
        BEGIN BLOCK XLXI_111 or2
            PIN I0 XLXN_94
            PIN I1 XLXN_87
            PIN O irq
        END BLOCK
        BEGIN BLOCK XLXI_39 pullup
            PIN O irq_x
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_1
            WIRE 2016 944 2112 944
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1120 944 1152 944
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1008 1264 1152 1264
            WIRE 1152 1264 1632 1264
            WIRE 1632 1264 2112 1264
            WIRE 2112 1264 2592 1264
            WIRE 1152 1168 1152 1264
            WIRE 1632 1168 1632 1264
            WIRE 2112 1168 2112 1264
            WIRE 2592 1168 2592 1264
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 752 1264 784 1264
        END BRANCH
        BEGIN BRANCH XLXN_41
            WIRE 336 1136 336 1264
            WIRE 336 1264 368 1264
        END BRANCH
        INSTANCE XLXI_1 1152 1200 R0
        INSTANCE XLXI_2 1632 1200 R0
        INSTANCE XLXI_3 2592 1200 R0
        INSTANCE XLXI_4 2112 1200 R0
        INSTANCE XLXI_5 896 976 R0
        INSTANCE XLXI_6 784 1296 R0
        INSTANCE XLXI_7 368 1520 R0
        INSTANCE XLXI_19 272 1136 R0
        BEGIN BRANCH clk_x
            WIRE 160 1600 336 1600
            WIRE 336 1600 1088 1600
            WIRE 1088 1600 1568 1600
            WIRE 1568 1600 2048 1600
            WIRE 2048 1600 2528 1600
            WIRE 336 1392 368 1392
            WIRE 336 1392 336 1600
            WIRE 1088 1072 1152 1072
            WIRE 1088 1072 1088 1600
            WIRE 1568 1072 1632 1072
            WIRE 1568 1072 1568 1600
            WIRE 2048 1072 2112 1072
            WIRE 2048 1072 2048 1600
            WIRE 2528 1072 2592 1072
            WIRE 2528 1072 2528 1600
        END BRANCH
        BEGIN BRANCH XLXN_66
            WIRE 1536 944 1632 944
        END BRANCH
        BEGIN BRANCH XLXN_13
            WIRE 2496 944 2592 944
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1136 2176 1184 2176
            WIRE 1136 2176 1136 2320
            WIRE 1136 2320 1712 2320
            WIRE 1712 2320 3312 2320
            WIRE 1712 2176 1792 2176
            WIRE 1712 2176 1712 2320
            WIRE 3296 704 3312 704
            WIRE 3312 704 3408 704
            WIRE 3312 704 3312 2320
        END BRANCH
        BEGIN BRANCH XLXN_67
            WIRE 880 704 880 944
            WIRE 880 944 896 944
            WIRE 880 704 3040 704
            WIRE 3040 704 3040 944
            WIRE 3040 704 3072 704
            WIRE 2976 944 3040 944
        END BRANCH
        INSTANCE XLXI_30 3072 736 R0
        INSTANCE XLXI_107 1792 2304 R0
        INSTANCE XLXI_106 1184 2304 R0
        BEGIN BRANCH XLXN_87
            WIRE 1568 2048 1664 2048
            WIRE 1664 2048 1792 2048
            WIRE 1664 1856 1664 2048
            WIRE 1664 1856 2256 1856
            WIRE 2256 1856 2256 1984
            WIRE 2256 1984 2288 1984
        END BRANCH
        BEGIN BRANCH XLXN_89
            WIRE 1056 2048 1184 2048
        END BRANCH
        INSTANCE XLXI_105 832 2080 R0
        BEGIN BRANCH irq
            WIRE 2544 2016 2880 2016
        END BRANCH
        INSTANCE XLXI_111 2288 2112 R0
        BEGIN BRANCH XLXN_94
            WIRE 2176 2048 2288 2048
        END BRANCH
        IOMARKER 160 1600 clk_x R180 28
        IOMARKER 3408 704 clk R0 28
        IOMARKER 656 2048 irq_x R180 28
        IOMARKER 2880 2016 irq R0 28
        INSTANCE XLXI_39 720 1904 R0
        BEGIN BRANCH irq_x
            WIRE 656 2048 784 2048
            WIRE 784 2048 832 2048
            WIRE 784 1904 784 1952
            WIRE 784 1952 784 2048
        END BRANCH
    END SHEET
END SCHEMATIC
