VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL clk
        SIGNAL d
        SIGNAL q
        SIGNAL e
        PORT Input clk
        PORT Input d
        PORT Output q
        PORT Input e
        BEGIN BLOCKDEF fde
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_10 fde
            PIN C clk
            PIN CE e
            PIN D d
            PIN Q q
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH clk
            WIRE 656 768 736 768
        END BRANCH
        BEGIN BRANCH d
            WIRE 640 640 736 640
        END BRANCH
        BEGIN BRANCH q
            WIRE 1120 640 1184 640
        END BRANCH
        BEGIN BRANCH e
            WIRE 640 704 736 704
        END BRANCH
        INSTANCE XLXI_10 736 896 R0
        IOMARKER 640 704 e R180 28
        IOMARKER 640 640 d R180 28
        IOMARKER 656 768 clk R180 28
        IOMARKER 1184 640 q R0 28
    END SHEET
END SCHEMATIC
