VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL d
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL e1
        SIGNAL e0
        PORT Output d
        PORT Input a
        PORT Input b
        PORT Input c
        PORT Input e1
        PORT Input e0
        BEGIN BLOCKDEF or3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 72 -128 
            LINE N 0 -192 48 -192 
            LINE N 256 -128 192 -128 
            ARC N 28 -256 204 -80 112 -80 192 -128 
            ARC N -40 -184 72 -72 48 -80 48 -176 
            LINE N 48 -64 48 -80 
            LINE N 48 -192 48 -176 
            LINE N 112 -80 48 -80 
            ARC N 28 -176 204 0 192 -128 112 -176 
            LINE N 112 -176 48 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 or3
            PIN I0 XLXN_8
            PIN I1 XLXN_7
            PIN I2 XLXN_9
            PIN O d
        END BLOCK
        BEGIN BLOCK XLXI_2 and2
            PIN I0 e1
            PIN I1 a
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_3 and3b1
            PIN I0 e1
            PIN I1 e0
            PIN I2 b
            PIN O XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_4 and3b2
            PIN I0 e1
            PIN I1 e0
            PIN I2 c
            PIN O XLXN_9
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1344 1552 R90
        BEGIN BRANCH d
            WIRE 1472 1808 1472 1984
        END BRANCH
        IOMARKER 1472 1984 d R90 28
        BEGIN BRANCH XLXN_7
            WIRE 1472 1392 1472 1552
        END BRANCH
        INSTANCE XLXI_3 1344 1136 R90
        INSTANCE XLXI_4 1552 1136 R90
        INSTANCE XLXI_2 1184 1136 R90
        BEGIN BRANCH XLXN_8
            WIRE 1280 1392 1280 1552
            WIRE 1280 1552 1408 1552
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 1536 1552 1680 1552
            WIRE 1680 1392 1680 1552
        END BRANCH
        BEGIN BRANCH a
            WIRE 1312 976 1312 1136
        END BRANCH
        IOMARKER 1312 976 a R270 28
        BEGIN BRANCH b
            WIRE 1536 976 1536 1136
        END BRANCH
        IOMARKER 1536 976 b R270 28
        BEGIN BRANCH c
            WIRE 1744 976 1744 1136
        END BRANCH
        IOMARKER 1744 976 c R270 28
        BEGIN BRANCH e1
            WIRE 1248 1056 1248 1136
            WIRE 1248 1056 1408 1056
            WIRE 1408 1056 1408 1136
            WIRE 1408 1056 1616 1056
            WIRE 1616 1056 2112 1056
            WIRE 1616 1056 1616 1136
        END BRANCH
        IOMARKER 2112 1056 e1 R0 28
        IOMARKER 2112 1104 e0 R0 28
        BEGIN BRANCH e0
            WIRE 1472 1104 1680 1104
            WIRE 1680 1104 1936 1104
            WIRE 1936 1104 2112 1104
            WIRE 1680 1104 1680 1136
            WIRE 1472 1104 1472 1136
        END BRANCH
    END SHEET
END SCHEMATIC
