VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL d(14:0)
        SIGNAL XLXN_2(15:0)
        SIGNAL d(14)
        SIGNAL d(13)
        SIGNAL d(12)
        SIGNAL d(11)
        SIGNAL d(10)
        SIGNAL d(9)
        SIGNAL d(8)
        SIGNAL d(0)
        SIGNAL d(1)
        SIGNAL d(3)
        SIGNAL d(4)
        SIGNAL d(5)
        SIGNAL d(6)
        SIGNAL d(7)
        SIGNAL q(14)
        SIGNAL q(13)
        SIGNAL q(12)
        SIGNAL q(11)
        SIGNAL q(10)
        SIGNAL q(9)
        SIGNAL q(8)
        SIGNAL q(0)
        SIGNAL q(1)
        SIGNAL q(2)
        SIGNAL q(3)
        SIGNAL q(4)
        SIGNAL q(14:0)
        SIGNAL q(5)
        SIGNAL q(6)
        SIGNAL q(7)
        SIGNAL XLXN_35
        SIGNAL XLXN_36
        SIGNAL e
        SIGNAL XLXN_38
        SIGNAL XLXN_39
        SIGNAL clk
        SIGNAL d(2)
        PORT Input d(14:0)
        PORT Output q(14:0)
        PORT Input e
        PORT Input clk
        BEGIN BLOCKDEF fde
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 fde
            PIN C clk
            PIN CE e
            PIN D d(0)
            PIN Q q(0)
        END BLOCK
        BEGIN BLOCK XLXI_3 fde
            PIN C clk
            PIN CE e
            PIN D d(1)
            PIN Q q(1)
        END BLOCK
        BEGIN BLOCK XLXI_4 fde
            PIN C clk
            PIN CE e
            PIN D d(2)
            PIN Q q(2)
        END BLOCK
        BEGIN BLOCK XLXI_5 fde
            PIN C clk
            PIN CE e
            PIN D d(3)
            PIN Q q(3)
        END BLOCK
        BEGIN BLOCK XLXI_6 fde
            PIN C clk
            PIN CE e
            PIN D d(4)
            PIN Q q(4)
        END BLOCK
        BEGIN BLOCK XLXI_7 fde
            PIN C clk
            PIN CE e
            PIN D d(5)
            PIN Q q(5)
        END BLOCK
        BEGIN BLOCK XLXI_8 fde
            PIN C clk
            PIN CE e
            PIN D d(6)
            PIN Q q(6)
        END BLOCK
        BEGIN BLOCK XLXI_9 fde
            PIN C clk
            PIN CE e
            PIN D d(7)
            PIN Q q(7)
        END BLOCK
        BEGIN BLOCK XLXI_11 fde
            PIN C clk
            PIN CE e
            PIN D d(14)
            PIN Q q(14)
        END BLOCK
        BEGIN BLOCK XLXI_12 fde
            PIN C clk
            PIN CE e
            PIN D d(13)
            PIN Q q(13)
        END BLOCK
        BEGIN BLOCK XLXI_13 fde
            PIN C clk
            PIN CE e
            PIN D d(12)
            PIN Q q(12)
        END BLOCK
        BEGIN BLOCK XLXI_14 fde
            PIN C clk
            PIN CE e
            PIN D d(11)
            PIN Q q(11)
        END BLOCK
        BEGIN BLOCK XLXI_15 fde
            PIN C clk
            PIN CE e
            PIN D d(10)
            PIN Q q(10)
        END BLOCK
        BEGIN BLOCK XLXI_16 fde
            PIN C clk
            PIN CE e
            PIN D d(9)
            PIN Q q(9)
        END BLOCK
        BEGIN BLOCK XLXI_17 fde
            PIN C clk
            PIN CE e
            PIN D d(8)
            PIN Q q(8)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3801 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH d(14:0)
            WIRE 544 224 656 224
            WIRE 656 224 656 2368
            WIRE 656 2368 1792 2368
            WIRE 1792 160 1792 2368
        END BRANCH
        BEGIN BRANCH d(14)
            WIRE 752 512 768 512
            WIRE 768 512 1040 512
            BEGIN DISPLAY 768 512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(13)
            WIRE 752 784 768 784
            WIRE 768 784 1040 784
            BEGIN DISPLAY 768 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(12)
            WIRE 752 1056 768 1056
            WIRE 768 1056 1040 1056
            BEGIN DISPLAY 768 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(11)
            WIRE 752 1328 768 1328
            WIRE 768 1328 1040 1328
            BEGIN DISPLAY 768 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(10)
            WIRE 752 1600 768 1600
            WIRE 768 1600 1040 1600
            BEGIN DISPLAY 768 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(9)
            WIRE 752 1872 768 1872
            WIRE 768 1872 1040 1872
            BEGIN DISPLAY 768 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(8)
            WIRE 752 2144 784 2144
            WIRE 784 2144 1040 2144
            BEGIN DISPLAY 784 2144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(0)
            WIRE 1888 240 1968 240
            WIRE 1968 240 1984 240
            BEGIN DISPLAY 1968 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(1)
            WIRE 1888 512 1968 512
            WIRE 1968 512 1984 512
            BEGIN DISPLAY 1968 512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(3)
            WIRE 1888 1056 1968 1056
            WIRE 1968 1056 1984 1056
            BEGIN DISPLAY 1968 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(4)
            WIRE 1888 1328 1968 1328
            WIRE 1968 1328 1984 1328
            BEGIN DISPLAY 1968 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(5)
            WIRE 1888 1600 1968 1600
            WIRE 1968 1600 1984 1600
            BEGIN DISPLAY 1968 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(6)
            WIRE 1888 1872 1968 1872
            WIRE 1968 1872 1984 1872
            BEGIN DISPLAY 1968 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(7)
            WIRE 1888 2144 1968 2144
            WIRE 1968 2144 1984 2144
            BEGIN DISPLAY 1968 2144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(14)
            WIRE 1424 512 1456 512
            WIRE 1456 512 1488 512
            BEGIN DISPLAY 1456 512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(13)
            WIRE 1424 784 1456 784
            WIRE 1456 784 1488 784
            BEGIN DISPLAY 1456 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(12)
            WIRE 1424 1056 1456 1056
            WIRE 1456 1056 1488 1056
            BEGIN DISPLAY 1456 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(11)
            WIRE 1424 1328 1456 1328
            WIRE 1456 1328 1488 1328
            BEGIN DISPLAY 1456 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(10)
            WIRE 1424 1600 1456 1600
            WIRE 1456 1600 1488 1600
            BEGIN DISPLAY 1456 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(9)
            WIRE 1424 1872 1456 1872
            WIRE 1456 1872 1488 1872
            BEGIN DISPLAY 1456 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(8)
            WIRE 1424 2144 1456 2144
            WIRE 1456 2144 1488 2144
            BEGIN DISPLAY 1456 2144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(0)
            WIRE 2368 240 2464 240
            WIRE 2464 240 2576 240
            BEGIN DISPLAY 2464 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(1)
            WIRE 2368 512 2448 512
            WIRE 2448 512 2576 512
            BEGIN DISPLAY 2448 512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(2)
            WIRE 2368 784 2464 784
            WIRE 2464 784 2576 784
            BEGIN DISPLAY 2464 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(3)
            WIRE 2368 1056 2480 1056
            WIRE 2480 1056 2576 1056
            BEGIN DISPLAY 2480 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(4)
            WIRE 2368 1328 2464 1328
            WIRE 2464 1328 2576 1328
            BEGIN DISPLAY 2464 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(14:0)
            WIRE 1584 80 2672 80
            WIRE 2672 80 2672 2592
            WIRE 2672 2592 3152 2592
            WIRE 1584 80 1584 2240
        END BRANCH
        BEGIN BRANCH q(5)
            WIRE 2368 1600 2464 1600
            WIRE 2464 1600 2576 1600
            BEGIN DISPLAY 2464 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(6)
            WIRE 2368 1872 2464 1872
            WIRE 2464 1872 2576 1872
            BEGIN DISPLAY 2464 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(7)
            WIRE 2368 2144 2480 2144
            WIRE 2480 2144 2576 2144
            BEGIN DISPLAY 2480 2144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2 1984 496 R0
        INSTANCE XLXI_3 1984 768 R0
        INSTANCE XLXI_4 1984 1040 R0
        INSTANCE XLXI_5 1984 1312 R0
        INSTANCE XLXI_6 1984 1584 R0
        INSTANCE XLXI_7 1984 1856 R0
        INSTANCE XLXI_8 1984 2128 R0
        INSTANCE XLXI_9 1984 2400 R0
        INSTANCE XLXI_11 1040 768 R0
        INSTANCE XLXI_12 1040 1040 R0
        INSTANCE XLXI_13 1040 1312 R0
        INSTANCE XLXI_14 1040 1584 R0
        INSTANCE XLXI_15 1040 1856 R0
        INSTANCE XLXI_16 1040 2128 R0
        BUSTAP 656 512 752 512
        BUSTAP 656 784 752 784
        BUSTAP 656 1056 752 1056
        BUSTAP 656 1328 752 1328
        BUSTAP 656 1600 752 1600
        BUSTAP 656 1872 752 1872
        INSTANCE XLXI_17 1040 2400 R0
        BUSTAP 656 2144 752 2144
        BUSTAP 1792 240 1888 240
        BUSTAP 1792 512 1888 512
        BUSTAP 1792 784 1888 784
        BUSTAP 1792 1056 1888 1056
        BUSTAP 1792 1328 1888 1328
        BUSTAP 1792 1600 1888 1600
        BUSTAP 1792 1872 1888 1872
        BUSTAP 1792 2144 1888 2144
        BUSTAP 1584 512 1488 512
        BUSTAP 1584 784 1488 784
        BUSTAP 1584 1056 1488 1056
        BUSTAP 1584 1328 1488 1328
        BUSTAP 1584 1600 1488 1600
        BUSTAP 1584 1872 1488 1872
        BUSTAP 1584 2144 1488 2144
        BUSTAP 2672 240 2576 240
        BUSTAP 2672 512 2576 512
        BUSTAP 2672 784 2576 784
        BUSTAP 2672 1056 2576 1056
        BUSTAP 2672 1328 2576 1328
        BUSTAP 2672 1600 2576 1600
        BUSTAP 2672 1872 2576 1872
        BUSTAP 2672 2144 2576 2144
        BEGIN BRANCH d(2)
            WIRE 1888 784 1968 784
            WIRE 1968 784 1984 784
            BEGIN DISPLAY 1968 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 544 224 d(14:0) R180 28
        IOMARKER 3152 2592 q(14:0) R0 28
        IOMARKER 608 2480 clk R180 28
        IOMARKER 592 2576 e R180 28
        BEGIN BRANCH clk
            WIRE 608 2480 976 2480
            WIRE 976 2480 1920 2480
            WIRE 976 640 1040 640
            WIRE 976 640 976 912
            WIRE 976 912 1040 912
            WIRE 976 912 976 1184
            WIRE 976 1184 976 1456
            WIRE 976 1456 1040 1456
            WIRE 976 1456 976 1728
            WIRE 976 1728 1040 1728
            WIRE 976 1728 976 2000
            WIRE 976 2000 1040 2000
            WIRE 976 2000 976 2272
            WIRE 976 2272 976 2480
            WIRE 976 2272 1040 2272
            WIRE 976 1184 1040 1184
            WIRE 1920 368 1984 368
            WIRE 1920 368 1920 640
            WIRE 1920 640 1984 640
            WIRE 1920 640 1920 912
            WIRE 1920 912 1984 912
            WIRE 1920 912 1920 1184
            WIRE 1920 1184 1984 1184
            WIRE 1920 1184 1920 1456
            WIRE 1920 1456 1984 1456
            WIRE 1920 1456 1920 1728
            WIRE 1920 1728 1984 1728
            WIRE 1920 1728 1920 2000
            WIRE 1920 2000 1984 2000
            WIRE 1920 2000 1920 2272
            WIRE 1920 2272 1984 2272
            WIRE 1920 2272 1920 2480
        END BRANCH
        BEGIN BRANCH e
            WIRE 592 2576 880 2576
            WIRE 880 2576 1856 2576
            WIRE 880 576 1040 576
            WIRE 880 576 880 848
            WIRE 880 848 1040 848
            WIRE 880 848 880 1120
            WIRE 880 1120 1040 1120
            WIRE 880 1120 880 1392
            WIRE 880 1392 1040 1392
            WIRE 880 1392 880 1664
            WIRE 880 1664 1040 1664
            WIRE 880 1664 880 1936
            WIRE 880 1936 1040 1936
            WIRE 880 1936 880 2208
            WIRE 880 2208 880 2576
            WIRE 880 2208 1040 2208
            WIRE 1856 304 1984 304
            WIRE 1856 304 1856 576
            WIRE 1856 576 1984 576
            WIRE 1856 576 1856 848
            WIRE 1856 848 1984 848
            WIRE 1856 848 1856 1120
            WIRE 1856 1120 1984 1120
            WIRE 1856 1120 1856 1392
            WIRE 1856 1392 1984 1392
            WIRE 1856 1392 1856 1664
            WIRE 1856 1664 1984 1664
            WIRE 1856 1664 1856 1936
            WIRE 1856 1936 1984 1936
            WIRE 1856 1936 1856 2208
            WIRE 1856 2208 1984 2208
            WIRE 1856 2208 1856 2576
        END BRANCH
    END SHEET
END SCHEMATIC
