VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL d(15:0)
        SIGNAL d(15)
        SIGNAL d(13)
        SIGNAL d(12)
        SIGNAL d(11)
        SIGNAL d(10)
        SIGNAL d(9)
        SIGNAL d(8)
        SIGNAL d(0)
        SIGNAL d(1)
        SIGNAL d(3)
        SIGNAL d(4)
        SIGNAL d(5)
        SIGNAL d(6)
        SIGNAL d(7)
        SIGNAL q(15)
        SIGNAL q(14)
        SIGNAL q(13)
        SIGNAL q(12)
        SIGNAL q(11)
        SIGNAL q(10)
        SIGNAL q(9)
        SIGNAL q(8)
        SIGNAL q(0)
        SIGNAL q(1)
        SIGNAL q(2)
        SIGNAL q(3)
        SIGNAL q(4)
        SIGNAL q(15:0)
        SIGNAL q(5)
        SIGNAL q(6)
        SIGNAL q(7)
        SIGNAL e
        SIGNAL clk
        SIGNAL d(14)
        SIGNAL d(2)
        PORT Input d(15:0)
        PORT Output q(15:0)
        PORT Input e
        PORT Input clk
        BEGIN BLOCKDEF fde
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 fde
            PIN C clk
            PIN CE e
            PIN D d(0)
            PIN Q q(0)
        END BLOCK
        BEGIN BLOCK XLXI_3 fde
            PIN C clk
            PIN CE e
            PIN D d(1)
            PIN Q q(1)
        END BLOCK
        BEGIN BLOCK XLXI_4 fde
            PIN C clk
            PIN CE e
            PIN D d(2)
            PIN Q q(2)
        END BLOCK
        BEGIN BLOCK XLXI_5 fde
            PIN C clk
            PIN CE e
            PIN D d(3)
            PIN Q q(3)
        END BLOCK
        BEGIN BLOCK XLXI_6 fde
            PIN C clk
            PIN CE e
            PIN D d(4)
            PIN Q q(4)
        END BLOCK
        BEGIN BLOCK XLXI_7 fde
            PIN C clk
            PIN CE e
            PIN D d(5)
            PIN Q q(5)
        END BLOCK
        BEGIN BLOCK XLXI_8 fde
            PIN C clk
            PIN CE e
            PIN D d(6)
            PIN Q q(6)
        END BLOCK
        BEGIN BLOCK XLXI_9 fde
            PIN C clk
            PIN CE e
            PIN D d(7)
            PIN Q q(7)
        END BLOCK
        BEGIN BLOCK XLXI_10 fde
            PIN C clk
            PIN CE e
            PIN D d(15)
            PIN Q q(15)
        END BLOCK
        BEGIN BLOCK XLXI_11 fde
            PIN C clk
            PIN CE e
            PIN D d(14)
            PIN Q q(14)
        END BLOCK
        BEGIN BLOCK XLXI_12 fde
            PIN C clk
            PIN CE e
            PIN D d(13)
            PIN Q q(13)
        END BLOCK
        BEGIN BLOCK XLXI_13 fde
            PIN C clk
            PIN CE e
            PIN D d(12)
            PIN Q q(12)
        END BLOCK
        BEGIN BLOCK XLXI_14 fde
            PIN C clk
            PIN CE e
            PIN D d(11)
            PIN Q q(11)
        END BLOCK
        BEGIN BLOCK XLXI_15 fde
            PIN C clk
            PIN CE e
            PIN D d(10)
            PIN Q q(10)
        END BLOCK
        BEGIN BLOCK XLXI_16 fde
            PIN C clk
            PIN CE e
            PIN D d(9)
            PIN Q q(9)
        END BLOCK
        BEGIN BLOCK XLXI_17 fde
            PIN C clk
            PIN CE e
            PIN D d(8)
            PIN Q q(8)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3801 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH d(15:0)
            WIRE 480 272 592 272
            WIRE 592 272 592 288
            WIRE 592 288 592 560
            WIRE 592 560 592 832
            WIRE 592 832 592 1104
            WIRE 592 1104 592 1376
            WIRE 592 1376 592 1648
            WIRE 592 1648 592 1920
            WIRE 592 1920 592 2192
            WIRE 592 2192 592 2416
            WIRE 592 2416 1728 2416
            WIRE 1728 208 1728 288
            WIRE 1728 288 1728 560
            WIRE 1728 560 1728 832
            WIRE 1728 832 1728 1104
            WIRE 1728 1104 1728 1376
            WIRE 1728 1376 1728 1648
            WIRE 1728 1648 1728 1920
            WIRE 1728 1920 1728 2192
            WIRE 1728 2192 1728 2416
        END BRANCH
        BEGIN BRANCH d(15)
            WIRE 688 288 720 288
            WIRE 720 288 976 288
            BEGIN DISPLAY 720 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(14)
            WIRE 688 560 704 560
            WIRE 704 560 976 560
            BEGIN DISPLAY 704 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(13)
            WIRE 688 832 704 832
            WIRE 704 832 976 832
            BEGIN DISPLAY 704 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(12)
            WIRE 688 1104 704 1104
            WIRE 704 1104 976 1104
            BEGIN DISPLAY 704 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(11)
            WIRE 688 1376 704 1376
            WIRE 704 1376 976 1376
            BEGIN DISPLAY 704 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(10)
            WIRE 688 1648 704 1648
            WIRE 704 1648 976 1648
            BEGIN DISPLAY 704 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(9)
            WIRE 688 1920 704 1920
            WIRE 704 1920 976 1920
            BEGIN DISPLAY 704 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(8)
            WIRE 688 2192 720 2192
            WIRE 720 2192 976 2192
            BEGIN DISPLAY 720 2192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(0)
            WIRE 1824 288 1904 288
            WIRE 1904 288 1920 288
            BEGIN DISPLAY 1904 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(1)
            WIRE 1824 560 1904 560
            WIRE 1904 560 1920 560
            BEGIN DISPLAY 1904 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(3)
            WIRE 1824 1104 1904 1104
            WIRE 1904 1104 1920 1104
            BEGIN DISPLAY 1904 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(4)
            WIRE 1824 1376 1904 1376
            WIRE 1904 1376 1920 1376
            BEGIN DISPLAY 1904 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(5)
            WIRE 1824 1648 1904 1648
            WIRE 1904 1648 1920 1648
            BEGIN DISPLAY 1904 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(6)
            WIRE 1824 1920 1904 1920
            WIRE 1904 1920 1920 1920
            BEGIN DISPLAY 1904 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(7)
            WIRE 1824 2192 1904 2192
            WIRE 1904 2192 1920 2192
            BEGIN DISPLAY 1904 2192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(15)
            WIRE 1360 288 1392 288
            WIRE 1392 288 1424 288
            BEGIN DISPLAY 1392 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(14)
            WIRE 1360 560 1392 560
            WIRE 1392 560 1424 560
            BEGIN DISPLAY 1392 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(13)
            WIRE 1360 832 1392 832
            WIRE 1392 832 1424 832
            BEGIN DISPLAY 1392 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(12)
            WIRE 1360 1104 1392 1104
            WIRE 1392 1104 1424 1104
            BEGIN DISPLAY 1392 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(11)
            WIRE 1360 1376 1392 1376
            WIRE 1392 1376 1424 1376
            BEGIN DISPLAY 1392 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(10)
            WIRE 1360 1648 1392 1648
            WIRE 1392 1648 1424 1648
            BEGIN DISPLAY 1392 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(9)
            WIRE 1360 1920 1392 1920
            WIRE 1392 1920 1424 1920
            BEGIN DISPLAY 1392 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(8)
            WIRE 1360 2192 1392 2192
            WIRE 1392 2192 1424 2192
            BEGIN DISPLAY 1392 2192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(0)
            WIRE 2304 288 2400 288
            WIRE 2400 288 2512 288
            BEGIN DISPLAY 2400 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(1)
            WIRE 2304 560 2384 560
            WIRE 2384 560 2512 560
            BEGIN DISPLAY 2384 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(2)
            WIRE 2304 832 2400 832
            WIRE 2400 832 2512 832
            BEGIN DISPLAY 2400 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(3)
            WIRE 2304 1104 2416 1104
            WIRE 2416 1104 2512 1104
            BEGIN DISPLAY 2416 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(4)
            WIRE 2304 1376 2400 1376
            WIRE 2400 1376 2512 1376
            BEGIN DISPLAY 2400 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(15:0)
            WIRE 1520 128 2608 128
            WIRE 2608 128 2608 288
            WIRE 2608 288 2608 560
            WIRE 2608 560 2608 832
            WIRE 2608 832 2608 1104
            WIRE 2608 1104 2608 1376
            WIRE 2608 1376 2608 1648
            WIRE 2608 1648 2608 1920
            WIRE 2608 1920 2608 2192
            WIRE 2608 2192 2608 2640
            WIRE 2608 2640 3088 2640
            WIRE 1520 128 1520 288
            WIRE 1520 288 1520 560
            WIRE 1520 560 1520 832
            WIRE 1520 832 1520 1104
            WIRE 1520 1104 1520 1376
            WIRE 1520 1376 1520 1648
            WIRE 1520 1648 1520 1920
            WIRE 1520 1920 1520 2192
            WIRE 1520 2192 1520 2288
        END BRANCH
        BEGIN BRANCH q(5)
            WIRE 2304 1648 2400 1648
            WIRE 2400 1648 2512 1648
            BEGIN DISPLAY 2400 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(6)
            WIRE 2304 1920 2400 1920
            WIRE 2400 1920 2512 1920
            BEGIN DISPLAY 2400 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH q(7)
            WIRE 2304 2192 2416 2192
            WIRE 2416 2192 2512 2192
            BEGIN DISPLAY 2416 2192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH e
            WIRE 528 2624 816 2624
            WIRE 816 2624 1792 2624
            WIRE 816 352 976 352
            WIRE 816 352 816 624
            WIRE 816 624 976 624
            WIRE 816 624 816 896
            WIRE 816 896 976 896
            WIRE 816 896 816 1168
            WIRE 816 1168 976 1168
            WIRE 816 1168 816 1440
            WIRE 816 1440 976 1440
            WIRE 816 1440 816 1712
            WIRE 816 1712 976 1712
            WIRE 816 1712 816 1984
            WIRE 816 1984 976 1984
            WIRE 816 1984 816 2256
            WIRE 816 2256 816 2624
            WIRE 816 2256 976 2256
            WIRE 1792 352 1920 352
            WIRE 1792 352 1792 624
            WIRE 1792 624 1920 624
            WIRE 1792 624 1792 896
            WIRE 1792 896 1920 896
            WIRE 1792 896 1792 1168
            WIRE 1792 1168 1920 1168
            WIRE 1792 1168 1792 1440
            WIRE 1792 1440 1920 1440
            WIRE 1792 1440 1792 1712
            WIRE 1792 1712 1920 1712
            WIRE 1792 1712 1792 1984
            WIRE 1792 1984 1920 1984
            WIRE 1792 1984 1792 2256
            WIRE 1792 2256 1792 2624
            WIRE 1792 2256 1920 2256
        END BRANCH
        BEGIN BRANCH clk
            WIRE 544 2528 912 2528
            WIRE 912 2528 1856 2528
            WIRE 912 416 976 416
            WIRE 912 416 912 688
            WIRE 912 688 976 688
            WIRE 912 688 912 960
            WIRE 912 960 976 960
            WIRE 912 960 912 1232
            WIRE 912 1232 912 1504
            WIRE 912 1504 976 1504
            WIRE 912 1504 912 1776
            WIRE 912 1776 976 1776
            WIRE 912 1776 912 2048
            WIRE 912 2048 976 2048
            WIRE 912 2048 912 2320
            WIRE 912 2320 912 2528
            WIRE 912 2320 976 2320
            WIRE 912 1232 976 1232
            WIRE 1856 416 1920 416
            WIRE 1856 416 1856 688
            WIRE 1856 688 1920 688
            WIRE 1856 688 1856 960
            WIRE 1856 960 1920 960
            WIRE 1856 960 1856 1232
            WIRE 1856 1232 1920 1232
            WIRE 1856 1232 1856 1504
            WIRE 1856 1504 1920 1504
            WIRE 1856 1504 1856 1776
            WIRE 1856 1776 1920 1776
            WIRE 1856 1776 1856 2048
            WIRE 1856 2048 1920 2048
            WIRE 1856 2048 1856 2320
            WIRE 1856 2320 1856 2528
            WIRE 1856 2320 1920 2320
        END BRANCH
        INSTANCE XLXI_2 1920 544 R0
        INSTANCE XLXI_3 1920 816 R0
        INSTANCE XLXI_4 1920 1088 R0
        INSTANCE XLXI_5 1920 1360 R0
        INSTANCE XLXI_6 1920 1632 R0
        INSTANCE XLXI_7 1920 1904 R0
        INSTANCE XLXI_8 1920 2176 R0
        INSTANCE XLXI_9 1920 2448 R0
        INSTANCE XLXI_10 976 544 R0
        INSTANCE XLXI_11 976 816 R0
        INSTANCE XLXI_12 976 1088 R0
        INSTANCE XLXI_13 976 1360 R0
        INSTANCE XLXI_14 976 1632 R0
        INSTANCE XLXI_15 976 1904 R0
        INSTANCE XLXI_16 976 2176 R0
        BUSTAP 592 288 688 288
        BUSTAP 592 560 688 560
        BUSTAP 592 832 688 832
        BUSTAP 592 1104 688 1104
        BUSTAP 592 1376 688 1376
        BUSTAP 592 1648 688 1648
        BUSTAP 592 1920 688 1920
        INSTANCE XLXI_17 976 2448 R0
        BUSTAP 592 2192 688 2192
        BUSTAP 1728 288 1824 288
        BUSTAP 1728 560 1824 560
        BUSTAP 1728 832 1824 832
        BUSTAP 1728 1104 1824 1104
        BUSTAP 1728 1376 1824 1376
        BUSTAP 1728 1648 1824 1648
        BUSTAP 1728 1920 1824 1920
        BUSTAP 1728 2192 1824 2192
        BUSTAP 1520 288 1424 288
        BUSTAP 1520 560 1424 560
        BUSTAP 1520 832 1424 832
        BUSTAP 1520 1104 1424 1104
        BUSTAP 1520 1376 1424 1376
        BUSTAP 1520 1648 1424 1648
        BUSTAP 1520 1920 1424 1920
        BUSTAP 1520 2192 1424 2192
        BUSTAP 2608 288 2512 288
        BUSTAP 2608 560 2512 560
        BUSTAP 2608 832 2512 832
        BUSTAP 2608 1104 2512 1104
        BUSTAP 2608 1376 2512 1376
        BUSTAP 2608 1648 2512 1648
        BUSTAP 2608 1920 2512 1920
        BUSTAP 2608 2192 2512 2192
        IOMARKER 480 272 d(15:0) R180 28
        IOMARKER 3088 2640 q(15:0) R0 28
        IOMARKER 544 2528 clk R180 28
        IOMARKER 528 2624 e R180 28
        BEGIN BRANCH d(2)
            WIRE 1824 832 1904 832
            WIRE 1904 832 1920 832
            BEGIN DISPLAY 1904 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
