VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_15(15:0)
        SIGNAL XLXN_17(14:0)
        SIGNAL XLXN_20(15:0)
        SIGNAL XLXN_23(15:0)
        SIGNAL XLXN_24(15:0)
        SIGNAL clk
        SIGNAL s0
        SIGNAL s1
        SIGNAL s2
        SIGNAL s3
        SIGNAL s5
        SIGNAL s6
        SIGNAL s4
        SIGNAL s8
        SIGNAL XLXN_38
        SIGNAL XLXN_40
        SIGNAL mems
        SIGNAL rw
        SIGNAL irq
        SIGNAL s7
        SIGNAL di(15)
        SIGNAL do(14:0)
        SIGNAL do(15:0)
        SIGNAL a(15:0)
        SIGNAL XLXN_123
        SIGNAL di(15:0)
        SIGNAL s9
        SIGNAL s10
        SIGNAL di_io(15:0)
        SIGNAL di_mem(15:0)
        SIGNAL ios
        PORT Input clk
        PORT Output mems
        PORT Output rw
        PORT Input irq
        PORT Output do(15:0)
        PORT Output a(15:0)
        PORT Input di_io(15:0)
        PORT Input di_mem(15:0)
        PORT Output ios
        BEGIN BLOCKDEF yreg
            TIMESTAMP 2007 4 19 13 53 54
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF xreg
            TIMESTAMP 2007 4 19 13 53 30
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF op
            TIMESTAMP 2007 4 19 14 40 30
            RECTANGLE N 0 -60 160 48 
        END BLOCKDEF
        BEGIN BLOCKDEF flag
            TIMESTAMP 2007 4 20 11 38 0
            RECTANGLE N 0 -60 160 48 
        END BLOCKDEF
        BEGIN BLOCKDEF xgate
            TIMESTAMP 2007 4 20 11 31 8
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF ygate
            TIMESTAMP 2007 10 24 13 37 4
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF amux
            TIMESTAMP 2007 10 24 13 37 36
            LINE N -48 -60 0 48 
            LINE N 0 48 164 48 
            LINE N 164 48 208 -60 
            LINE N 208 -60 -48 -60 
            LINE N 208 0 184 0 
        END BLOCKDEF
        BEGIN BLOCKDEF alu
            TIMESTAMP 2007 4 20 9 31 38
            LINE N 292 48 -128 48 
            LINE N -176 -60 48 -60 
            LINE N 292 48 336 -60 
            LINE N -176 -60 -128 48 
            LINE N 80 -32 112 -60 
            LINE N 80 -32 48 -60 
            LINE N 112 -60 336 -60 
            LINE N 336 0 308 0 
        END BLOCKDEF
        BEGIN BLOCKDEF steu
            TIMESTAMP 2007 10 30 14 19 24
            RECTANGLE N -80 -112 80 144 
        END BLOCKDEF
        BEGIN BLOCKDEF pc
            TIMESTAMP 2007 10 10 9 31 18
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF dmux
            TIMESTAMP 2007 10 24 16 2 56
            LINE N -96 -28 -48 80 
            LINE N -48 80 116 80 
            LINE N 116 80 160 -28 
            LINE N 160 -28 -96 -28 
            LINE N 164 16 140 16 
            LINE N 160 48 128 48 
        END BLOCKDEF
        BEGIN BLOCK yreg1 yreg
            PIN d(15:0) di(15:0)
            PIN q(15:0) XLXN_15(15:0)
            PIN clk clk
            PIN e s2
        END BLOCK
        BEGIN BLOCK ygate1 ygate
            PIN a(15:0) a(15:0)
            PIN c(15:0) XLXN_24(15:0)
            PIN e s6
        END BLOCK
        BEGIN BLOCK xreg1 xreg
            PIN d(15:0) di(15:0)
            PIN q(15:0) XLXN_20(15:0)
            PIN clk clk
            PIN e s1
        END BLOCK
        BEGIN BLOCK op1 op
            PIN d di(15)
            PIN q XLXN_40
            PIN clk clk
            PIN e s0
        END BLOCK
        BEGIN BLOCK flag1 flag
            PIN d XLXN_38
            PIN q XLXN_123
            PIN clk clk
            PIN e s8
        END BLOCK
        BEGIN BLOCK steu1 steu
            PIN s0 s0
            PIN s1 s1
            PIN s2 s2
            PIN s3 s3
            PIN s4 s4
            PIN s5 s5
            PIN s6 s6
            PIN s7 s7
            PIN s8 s8
            PIN a(15:0) a(15:0)
            PIN mems mems
            PIN rw rw
            PIN irq irq
            PIN clk clk
            PIN d15 di(15)
            PIN op XLXN_40
            PIN f XLXN_123
            PIN s9 s9
            PIN s10 s10
            PIN ios ios
        END BLOCK
        BEGIN BLOCK alu1 alu
            PIN c(15:0) do(15:0)
            PIN b(15:0) XLXN_24(15:0)
            PIN f XLXN_38
            PIN a(15:0) XLXN_23(15:0)
            PIN s s7
        END BLOCK
        BEGIN BLOCK xgate1 xgate
            PIN a(15:0) XLXN_20(15:0)
            PIN c(15:0) XLXN_23(15:0)
            PIN e s5
        END BLOCK
        BEGIN BLOCK amux1 amux
            PIN b(14:0) XLXN_17(14:0)
            PIN a(15:0) XLXN_15(15:0)
            PIN e s4
            PIN c(15:0) a(15:0)
        END BLOCK
        BEGIN BLOCK pc1 pc
            PIN d(14:0) do(14:0)
            PIN q(14:0) XLXN_17(14:0)
            PIN clk clk
            PIN e s3
        END BLOCK
        BEGIN BLOCK dmux1 dmux
            PIN a(15:0) do(15:0)
            PIN d(15:0) di(15:0)
            PIN b(15:0) di_io(15:0)
            PIN c(15:0) di_mem(15:0)
            PIN e1 s10
            PIN e0 s9
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE yreg1 1184 624 R0
        END INSTANCE
        BEGIN BRANCH XLXN_15(15:0)
            WIRE 1264 672 1264 720
            WIRE 1264 720 1376 720
            WIRE 1376 720 1376 768
        END BRANCH
        BEGIN BRANCH XLXN_17(14:0)
            WIRE 1504 720 1504 768
            WIRE 1504 720 1648 720
            WIRE 1648 672 1648 720
        END BRANCH
        BEGIN BRANCH XLXN_20(15:0)
            WIRE 880 672 880 960
        END BRANCH
        BEGIN BRANCH XLXN_23(15:0)
            WIRE 880 1072 880 1136
        END BRANCH
        BEGIN BRANCH XLXN_24(15:0)
            WIRE 1264 1072 1264 1136
        END BRANCH
        BEGIN INSTANCE xreg1 800 624 R0
        END INSTANCE
        BEGIN INSTANCE op1 464 624 R0
        END INSTANCE
        BEGIN BRANCH clk
            WIRE 624 592 672 592
            BEGIN DISPLAY 676 592 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s0
            WIRE 624 640 672 640
            BEGIN DISPLAY 676 640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1008 592 1056 592
            BEGIN DISPLAY 1060 592 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s1
            WIRE 1008 640 1056 640
            BEGIN DISPLAY 1060 640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1392 592 1440 592
            BEGIN DISPLAY 1444 592 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s2
            WIRE 1392 640 1440 640
            BEGIN DISPLAY 1444 640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1776 592 1824 592
            BEGIN DISPLAY 1828 592 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s3
            WIRE 1776 640 1824 640
            BEGIN DISPLAY 1828 640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s5
            WIRE 1008 1024 1040 1024
            BEGIN DISPLAY 1044 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s6
            WIRE 1392 1024 1424 1024
            BEGIN DISPLAY 1428 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s4
            WIRE 1568 832 1616 832
            BEGIN DISPLAY 1620 832 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE flag1 832 1392 R0
        END INSTANCE
        BEGIN BRANCH XLXN_38
            WIRE 912 1248 912 1328
        END BRANCH
        BEGIN BRANCH s0
            WIRE 1456 1328 1472 1328
            WIRE 1472 1328 1520 1328
            BEGIN DISPLAY 1456 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s1
            WIRE 1456 1344 1472 1344
            WIRE 1472 1344 1520 1344
            BEGIN DISPLAY 1456 1344 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s2
            WIRE 1456 1360 1472 1360
            WIRE 1472 1360 1520 1360
            BEGIN DISPLAY 1456 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s3
            WIRE 1456 1376 1472 1376
            WIRE 1472 1376 1520 1376
            BEGIN DISPLAY 1456 1376 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s4
            WIRE 1456 1392 1472 1392
            WIRE 1472 1392 1520 1392
            BEGIN DISPLAY 1456 1392 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s5
            WIRE 1456 1408 1472 1408
            WIRE 1472 1408 1520 1408
            BEGIN DISPLAY 1456 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s6
            WIRE 1456 1424 1472 1424
            WIRE 1472 1424 1520 1424
            BEGIN DISPLAY 1456 1424 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH mems
            WIRE 1680 1520 1728 1520
            WIRE 1728 1520 1744 1520
        END BRANCH
        BEGIN BRANCH rw
            WIRE 1680 1488 1728 1488
            WIRE 1728 1488 1744 1488
        END BRANCH
        BEGIN BRANCH irq
            WIRE 1680 1456 1728 1456
            WIRE 1728 1456 1744 1456
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1680 1424 1728 1424
            WIRE 1728 1424 1744 1424
        END BRANCH
        BEGIN BRANCH s7
            WIRE 1456 1440 1472 1440
            WIRE 1472 1440 1520 1440
            BEGIN DISPLAY 1456 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE alu1 992 1200 R0
        END INSTANCE
        BEGIN BRANCH s7
            WIRE 1328 1200 1424 1200
            BEGIN DISPLAY 1428 1200 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BUSTAP 544 400 544 496
        BUSTAP 1920 496 1824 496
        BEGIN BRANCH do(14:0)
            WIRE 1648 496 1648 560
            WIRE 1648 496 1744 496
            WIRE 1744 496 1744 496
            WIRE 1744 496 1824 496
            BEGIN DISPLAY 1748 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH do(15:0)
            WIRE 704 128 816 128
            WIRE 816 128 816 208
            WIRE 704 128 704 1280
            WIRE 704 1280 1072 1280
            WIRE 1072 1280 1920 1280
            WIRE 1920 1280 2080 1280
            WIRE 1072 1248 1072 1280
            WIRE 1920 448 1920 496
            WIRE 1920 496 1920 1280
        END BRANCH
        IOMARKER 2080 1280 do(15:0) R0 28
        IOMARKER 1744 1520 mems R0 28
        IOMARKER 1744 1488 rw R0 28
        IOMARKER 1744 1456 irq R0 28
        IOMARKER 1744 1424 clk R0 28
        BEGIN INSTANCE xgate1 800 1024 R0
        END INSTANCE
        BEGIN INSTANCE ygate1 1184 1024 R0
        END INSTANCE
        BEGIN BRANCH clk
            WIRE 992 1360 1072 1360
            BEGIN DISPLAY 1072 1360 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s8
            WIRE 1456 1456 1472 1456
            WIRE 1472 1456 1520 1456
            BEGIN DISPLAY 1456 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s8
            WIRE 992 1408 1056 1408
            BEGIN DISPLAY 1056 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(15:0)
            WIRE 1264 928 1440 928
            WIRE 1440 928 1600 928
            WIRE 1600 928 2096 928
            WIRE 1600 928 1600 1312
            WIRE 1264 928 1264 960
            WIRE 1440 880 1440 928
        END BRANCH
        BEGIN INSTANCE amux1 1360 832 R0
        END INSTANCE
        IOMARKER 2096 928 a(15:0) R0 28
        BEGIN INSTANCE pc1 1568 624 R0
        END INSTANCE
        BEGIN BRANCH di(15:0)
            WIRE 448 400 544 400
            WIRE 544 400 880 400
            WIRE 880 400 880 560
            WIRE 880 400 960 400
            WIRE 960 400 1264 400
            WIRE 1264 400 1264 560
            WIRE 880 320 880 400
            BEGIN DISPLAY 960 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH di_io(15:0)
            WIRE 880 80 2064 80
            WIRE 880 80 880 208
        END BRANCH
        BEGIN BRANCH di_mem(15:0)
            WIRE 944 160 2016 160
            WIRE 944 160 944 208
        END BRANCH
        IOMARKER 2064 80 di_io(15:0) R0 28
        IOMARKER 2016 160 di_mem(15:0) R0 28
        BEGIN BRANCH XLXN_123
            WIRE 912 1440 912 1456
            WIRE 912 1456 912 1520
            WIRE 912 1520 1520 1520
        END BRANCH
        BEGIN BRANCH XLXN_40
            WIRE 544 672 544 688
            WIRE 544 688 544 1536
            WIRE 544 1536 1520 1536
        END BRANCH
        BEGIN BRANCH di(15)
            WIRE 416 512 480 512
            WIRE 480 512 544 512
            WIRE 544 512 544 560
            WIRE 416 512 416 1552
            WIRE 416 1552 1520 1552
            WIRE 544 496 544 512
            BEGIN DISPLAY 480 512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE steu1 1600 1424 R0
        END INSTANCE
        BEGIN BRANCH s9
            WIRE 1456 1472 1472 1472
            WIRE 1472 1472 1520 1472
            BEGIN DISPLAY 1456 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s10
            WIRE 1456 1488 1472 1488
            WIRE 1472 1488 1520 1488
            BEGIN DISPLAY 1456 1488 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ios
            WIRE 1680 1552 1744 1552
        END BRANCH
        IOMARKER 1744 1552 ios R0 28
        BEGIN BRANCH s9
            WIRE 1008 288 1056 288
            BEGIN DISPLAY 1056 288 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s10
            WIRE 1008 256 1056 256
            BEGIN DISPLAY 1056 256 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE dmux1 848 240 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
